package chocolate;

import java.util.Random;

public class BoilerGuy implements Runnable {
	
	private String guysName;
	protected int maxBreakTime;
	private static Random generator = new Random();
	protected ChocolateBoiler boiler; 
	
	public BoilerGuy(String name) {
		guysName = name;
		maxBreakTime = 2000;
	}

	@Override
	public void run() {
		int breakTime;
		boiler = ChocolateBoiler.getInstance();
		try {
			if (boiler.fill())
				System.out.println(guysName + " filled the boiler");
			breakTime = generator.nextInt(maxBreakTime);
			Thread.sleep(breakTime);
			if (boiler.boil())
				System.out.println(guysName + " boiled the chocolate");
			breakTime = generator.nextInt(maxBreakTime);
			Thread.sleep(breakTime);
			if (boiler.drain())
				System.out.println(guysName + " is draining the boiler");
			breakTime = generator.nextInt(maxBreakTime);
			Thread.sleep(breakTime);
		} catch(InterruptedException e) {
			System.out.println(guysName + " could not complete his task");
		}
		
	}

}
